由于apt在更新版本可用时,会升级软件包。为了防止软件包被意外升级,所以需要将软件包固定在当前的安装版本之上

锁定软件包版本

# echo "<packageName> hold" | dpkg --set-selections

查询当前系统内所有软件包的状态:

# dpkg --get-selections | more

如果为install,则有可能会被意外升级,如果为hold则是被锁定版本状态

查询当前系统被锁定不更新的软件包状态(hold):

# dpkg --get-selections | grep hold

恢复可更新状态

# echo "<packageName> install" | dpkg --set-selections
Last modification:May 8th, 2019 at 11:41 am
If you think my article is useful to you, please feel free to appreciate